IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'ACB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('ACB','Alcañon') ELSE UPDATE Denom_origen_variedad SET Descripcion='Alcañon' WHERE Codigo='ACB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'AGN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('AGN','Agiorgitiko') ELSE UPDATE Denom_origen_variedad SET Descripcion='Agiorgitiko' WHERE Codigo='AGN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'AIB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('AIB','Airen') ELSE UPDATE Denom_origen_variedad SET Descripcion='Airen' WHERE Codigo='AIB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'ALB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('ALB','Albarinyo') ELSE UPDATE Denom_origen_variedad SET Descripcion='Albarinyo' WHERE Codigo='ALB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'ALT') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('ALT','Altres varietats') ELSE UPDATE Denom_origen_variedad SET Descripcion='Altres varietats' WHERE Codigo='ALT';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'BAN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('BAN','Barbera') ELSE UPDATE Denom_origen_variedad SET Descripcion='Barbera' WHERE Codigo='BAN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'BMN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('BMN','Black magic') ELSE UPDATE Denom_origen_variedad SET Descripcion='Black magic' WHERE Codigo='BMN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'BON') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('BON','Bobal') ELSE UPDATE Denom_origen_variedad SET Descripcion='Bobal' WHERE Codigo='BON';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'BRN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('BRN','Brancellao') ELSE UPDATE Denom_origen_variedad SET Descripcion='Brancellao' WHERE Codigo='BRN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'BSN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('BSN','Bronsa') ELSE UPDATE Denom_origen_variedad SET Descripcion='Bronsa' WHERE Codigo='BSN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'BUB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('BUB','Burrablanca') ELSE UPDATE Denom_origen_variedad SET Descripcion='Burrablanca' WHERE Codigo='BUB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'CAB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('CAB','Carinyena gris') ELSE UPDATE Denom_origen_variedad SET Descripcion='Carinyena gris' WHERE Codigo='CAB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'CAN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('CAN','Cariñena,Mazuela,Samsó') ELSE UPDATE Denom_origen_variedad SET Descripcion='Cariñena,Mazuela,Samsó' WHERE Codigo='CAN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'CBB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('CBB','Carignan blanc, Carinyena blanca') ELSE UPDATE Denom_origen_variedad SET Descripcion='Carignan blanc, Carinyena blanca' WHERE Codigo='CBB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'CDN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('CDN','Cardinal') ELSE UPDATE Denom_origen_variedad SET Descripcion='Cardinal' WHERE Codigo='CDN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'CEN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('CEN','Cabernet Eidos') ELSE UPDATE Denom_origen_variedad SET Descripcion='Cabernet Eidos' WHERE Codigo='CEN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'CFN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('CFN','Cabernet franc') ELSE UPDATE Denom_origen_variedad SET Descripcion='Cabernet franc' WHERE Codigo='CFN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'CGB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('CGB','Calagraño,Jaen blanc,Pardina') ELSE UPDATE Denom_origen_variedad SET Descripcion='Calagraño,Jaen blanc,Pardina' WHERE Codigo='CGB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'CHB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('CHB','Chardonnay') ELSE UPDATE Denom_origen_variedad SET Descripcion='Chardonnay' WHERE Codigo='CHB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'CLB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('CLB','Calop') ELSE UPDATE Denom_origen_variedad SET Descripcion='Calop' WHERE Codigo='CLB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'CLT') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('CLT','Caladoc') ELSE UPDATE Denom_origen_variedad SET Descripcion='Caladoc' WHERE Codigo='CLT';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'CNB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('CNB','Chenin,Agudelo') ELSE UPDATE Denom_origen_variedad SET Descripcion='Chenin,Agudelo' WHERE Codigo='CNB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'COB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('COB','colombard') ELSE UPDATE Denom_origen_variedad SET Descripcion='colombard' WHERE Codigo='COB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'CRB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('CRB','Coromina') ELSE UPDATE Denom_origen_variedad SET Descripcion='Coromina' WHERE Codigo='CRB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'CSN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('CSN','Cabernet Sauvignon') ELSE UPDATE Denom_origen_variedad SET Descripcion='Cabernet Sauvignon' WHERE Codigo='CSN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'CSR') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('CSR','Crimson Seedless') ELSE UPDATE Denom_origen_variedad SET Descripcion='Crimson Seedless' WHERE Codigo='CSR';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'CYB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('CYB','Cayetano blanca') ELSE UPDATE Denom_origen_variedad SET Descripcion='Cayetano blanca' WHERE Codigo='CYB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'DMB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('DMB','Doña María,Donna María') ELSE UPDATE Denom_origen_variedad SET Descripcion='Doña María,Donna María' WHERE Codigo='DMB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'DMV') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('DMV','Don Mariano,Napoleón,Imperial') ELSE UPDATE Denom_origen_variedad SET Descripcion='Don Mariano,Napoleón,Imperial' WHERE Codigo='DMV';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'DUN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('DUN','Durif') ELSE UPDATE Denom_origen_variedad SET Descripcion='Durif' WHERE Codigo='DUN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'FLN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('FLN','Fleurtai') ELSE UPDATE Denom_origen_variedad SET Descripcion='Fleurtai' WHERE Codigo='FLN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'FOB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('FOB','Folle blanche') ELSE UPDATE Denom_origen_variedad SET Descripcion='Folle blanche' WHERE Codigo='FOB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'FON') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('FON','Forcada') ELSE UPDATE Denom_origen_variedad SET Descripcion='Forcada' WHERE Codigo='FON';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'GAB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('GAB','Garnatxa blanca,Lledoner blanc') ELSE UPDATE Denom_origen_variedad SET Descripcion='Garnatxa blanca,Lledoner blanc' WHERE Codigo='GAB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'GAN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('GAN','Garnatxa negra,Lledoner') ELSE UPDATE Denom_origen_variedad SET Descripcion='Garnatxa negra,Lledoner' WHERE Codigo='GAN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'GCN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('GCN','Graciano') ELSE UPDATE Denom_origen_variedad SET Descripcion='Graciano' WHERE Codigo='GCN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'GIB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('GIB','Giró Ros') ELSE UPDATE Denom_origen_variedad SET Descripcion='Giró Ros' WHERE Codigo='GIB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'GOB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('GOB','Godello') ELSE UPDATE Denom_origen_variedad SET Descripcion='Godello' WHERE Codigo='GOB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'GOT') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('GOT','Gonfaus') ELSE UPDATE Denom_origen_variedad SET Descripcion='Gonfaus' WHERE Codigo='GOT';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'GPN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('GPN','Garnatxa peluda,Lledoner pelut') ELSE UPDATE Denom_origen_variedad SET Descripcion='Garnatxa peluda,Lledoner pelut' WHERE Codigo='GPN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'GRN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('GRN','Garró,Mandó') ELSE UPDATE Denom_origen_variedad SET Descripcion='Garró,Mandó' WHERE Codigo='GRN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'GRV') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('GRV','Garnatxa roja,Lledoner gris') ELSE UPDATE Denom_origen_variedad SET Descripcion='Garnatxa roja,Lledoner gris' WHERE Codigo='GRV';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'GTB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('GTB','Gewürztraminer') ELSE UPDATE Denom_origen_variedad SET Descripcion='Gewürztraminer' WHERE Codigo='GTB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'GTN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('GTN','Garnatxa tintorera,alicant H Bouschet') ELSE UPDATE Denom_origen_variedad SET Descripcion='Garnatxa tintorera,alicant H Bouschet' WHERE Codigo='GTN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'ITB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('ITB','Italia') ELSE UPDATE Denom_origen_variedad SET Descripcion='Italia' WHERE Codigo='ITB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'LOB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('LOB','Loureiro blanc,Loureira,Marqués') ELSE UPDATE Denom_origen_variedad SET Descripcion='Loureiro blanc,Loureira,Marqués' WHERE Codigo='LOB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MAB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MAB','Macabeu,Viura') ELSE UPDATE Denom_origen_variedad SET Descripcion='Macabeu,Viura' WHERE Codigo='MAB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MAN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MAN','Mollar cano') ELSE UPDATE Denom_origen_variedad SET Descripcion='Mollar cano' WHERE Codigo='MAN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MCN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MCN','Malbec') ELSE UPDATE Denom_origen_variedad SET Descripcion='Malbec' WHERE Codigo='MCN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MEN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MEN','Merlot') ELSE UPDATE Denom_origen_variedad SET Descripcion='Merlot' WHERE Codigo='MEN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MFB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MFB','Moscatell de gra petit,Moscatell de gra menut,Muscat de Frontignan') ELSE UPDATE Denom_origen_variedad SET Descripcion='Moscatell de gra petit,Moscatell de gra menut,Muscat de Frontignan' WHERE Codigo='MFB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MHT') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MHT','Moscatell d''Hamburgo') ELSE UPDATE Denom_origen_variedad SET Descripcion='Moscatell d''Hamburgo' WHERE Codigo='MHT';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MIN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MIN','Moravia Agria') ELSE UPDATE Denom_origen_variedad SET Descripcion='Moravia Agria' WHERE Codigo='MIN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MIT') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MIT','Moscatell Itàlica') ELSE UPDATE Denom_origen_variedad SET Descripcion='Moscatell Itàlica' WHERE Codigo='MIT';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MJB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MJB','Moscatell de Alexandria,Moscatell de Màlaga,Moscatell Romà') ELSE UPDATE Denom_origen_variedad SET Descripcion='Moscatell de Alexandria,Moscatell de Màlaga,Moscatell Romà' WHERE Codigo='MJB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MKN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MKN','Merlot Khorus') ELSE UPDATE Denom_origen_variedad SET Descripcion='Merlot Khorus' WHERE Codigo='MKN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MLB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MLB','Malvar') ELSE UPDATE Denom_origen_variedad SET Descripcion='Malvar' WHERE Codigo='MLB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MLN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MLN','Morenillo') ELSE UPDATE Denom_origen_variedad SET Descripcion='Morenillo' WHERE Codigo='MLN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MMB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MMB','Malvasia Manresana') ELSE UPDATE Denom_origen_variedad SET Descripcion='Malvasia Manresana' WHERE Codigo='MMB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MON') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MON','Molinera') ELSE UPDATE Denom_origen_variedad SET Descripcion='Molinera' WHERE Codigo='MON';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MRB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MRB','Malvasia roja') ELSE UPDATE Denom_origen_variedad SET Descripcion='Malvasia roja' WHERE Codigo='MRB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MRN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MRN','Marselan') ELSE UPDATE Denom_origen_variedad SET Descripcion='Marselan' WHERE Codigo='MRN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MRS') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MRS','Marsanne') ELSE UPDATE Denom_origen_variedad SET Descripcion='Marsanne' WHERE Codigo='MRS';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MSB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MSB','Malvasia de Sitges,Malvasia grossa,Malvasia aromàtica') ELSE UPDATE Denom_origen_variedad SET Descripcion='Malvasia de Sitges,Malvasia grossa,Malvasia aromàtica' WHERE Codigo='MSB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MTN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MTN','Monastrell,Garrut,Mourvedre,Mataró') ELSE UPDATE Denom_origen_variedad SET Descripcion='Monastrell,Garrut,Mourvedre,Mataró' WHERE Codigo='MTN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MUB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MUB','Muller thurgau') ELSE UPDATE Denom_origen_variedad SET Descripcion='Muller thurgau' WHERE Codigo='MUB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MUN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MUN','Moneu') ELSE UPDATE Denom_origen_variedad SET Descripcion='Moneu' WHERE Codigo='MUN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MVB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('MVB','Malvasia blanca') ELSE UPDATE Denom_origen_variedad SET Descripcion='Malvasia blanca' WHERE Codigo='MVB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'NEN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('NEN','Nebbiolo') ELSE UPDATE Denom_origen_variedad SET Descripcion='Nebbiolo' WHERE Codigo='NEN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'NIN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('NIN','Monica') ELSE UPDATE Denom_origen_variedad SET Descripcion='Monica' WHERE Codigo='NIN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'NUN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('NUN','Niellucsio') ELSE UPDATE Denom_origen_variedad SET Descripcion='Niellucsio' WHERE Codigo='NUN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PAB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PAB','Parellada,Montonega,Montonec') ELSE UPDATE Denom_origen_variedad SET Descripcion='Parellada,Montonega,Montonec' WHERE Codigo='PAB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PAN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PAN','Planta mula') ELSE UPDATE Denom_origen_variedad SET Descripcion='Planta mula' WHERE Codigo='PAN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PBB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PBB','Moll,Pensal Blanca,Prensal') ELSE UPDATE Denom_origen_variedad SET Descripcion='Moll,Pensal Blanca,Prensal' WHERE Codigo='PBB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PDB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PDB','Pardillo') ELSE UPDATE Denom_origen_variedad SET Descripcion='Pardillo' WHERE Codigo='PDB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PDN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PDN','Prieto picudo') ELSE UPDATE Denom_origen_variedad SET Descripcion='Prieto picudo' WHERE Codigo='PDN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PEB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PEB','Perruno') ELSE UPDATE Denom_origen_variedad SET Descripcion='Perruno' WHERE Codigo='PEB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PEN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PEN','Pirene') ELSE UPDATE Denom_origen_variedad SET Descripcion='Pirene' WHERE Codigo='PEN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PIB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PIB','Picapoll blanc') ELSE UPDATE Denom_origen_variedad SET Descripcion='Picapoll blanc' WHERE Codigo='PIB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PIN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PIN','Picapoll negre') ELSE UPDATE Denom_origen_variedad SET Descripcion='Picapoll negre' WHERE Codigo='PIN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PLB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PLB','Palomino fino') ELSE UPDATE Denom_origen_variedad SET Descripcion='Palomino fino' WHERE Codigo='PLB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PMN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PMN','Pinot meunier') ELSE UPDATE Denom_origen_variedad SET Descripcion='Pinot meunier' WHERE Codigo='PMN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PNN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PNN','Primitivo') ELSE UPDATE Denom_origen_variedad SET Descripcion='Primitivo' WHERE Codigo='PNN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PRN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PRN','Parraleta') ELSE UPDATE Denom_origen_variedad SET Descripcion='Parraleta' WHERE Codigo='PRN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PTN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PTN','Pinot noir') ELSE UPDATE Denom_origen_variedad SET Descripcion='Pinot noir' WHERE Codigo='PTN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PVN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PVN','Petit verdot') ELSE UPDATE Denom_origen_variedad SET Descripcion='Petit verdot' WHERE Codigo='PVN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PWI') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PWI','PIWI-Híbrit vitis vinífera europa/vitis americanes') ELSE UPDATE Denom_origen_variedad SET Descripcion='PIWI-Híbrit vitis vinífera europa/vitis americanes' WHERE Codigo='PWI';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'PXB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('PXB','Pedro Ximénez') ELSE UPDATE Denom_origen_variedad SET Descripcion='Pedro Ximénez' WHERE Codigo='PXB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'QUN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('QUN','Querol') ELSE UPDATE Denom_origen_variedad SET Descripcion='Querol' WHERE Codigo='QUN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'RCN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('RCN','Ruby cabernet') ELSE UPDATE Denom_origen_variedad SET Descripcion='Ruby cabernet' WHERE Codigo='RCN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'RGT') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('RGT','Red Globe') ELSE UPDATE Denom_origen_variedad SET Descripcion='Red Globe' WHERE Codigo='RGT';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'RIB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('RIB','Riesling') ELSE UPDATE Denom_origen_variedad SET Descripcion='Riesling' WHERE Codigo='RIB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'ROB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('ROB','Roseti,Dattier de Beyrouth,Regina,Rosaki') ELSE UPDATE Denom_origen_variedad SET Descripcion='Roseti,Dattier de Beyrouth,Regina,Rosaki' WHERE Codigo='ROB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'RUB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('RUB','Roussanne') ELSE UPDATE Denom_origen_variedad SET Descripcion='Roussanne' WHERE Codigo='RUB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'SAN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('SAN','Sangiovesse') ELSE UPDATE Denom_origen_variedad SET Descripcion='Sangiovesse' WHERE Codigo='SAN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'SAP') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('SAP','Sauvignon blanc') ELSE UPDATE Denom_origen_variedad SET Descripcion='Sauvignon blanc' WHERE Codigo='SAP';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'SEB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('SEB','Selma Blanca') ELSE UPDATE Denom_origen_variedad SET Descripcion='Selma Blanca' WHERE Codigo='SEB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'SEM') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('SEM','Sense Empeltar') ELSE UPDATE Denom_origen_variedad SET Descripcion='Sense Empeltar' WHERE Codigo='SEM';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'SLN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('SLN','Sylvaner') ELSE UPDATE Denom_origen_variedad SET Descripcion='Sylvaner' WHERE Codigo='SLN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'SNN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('SNN','solana') ELSE UPDATE Denom_origen_variedad SET Descripcion='solana' WHERE Codigo='SNN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'SON') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('SON','Soreli') ELSE UPDATE Denom_origen_variedad SET Descripcion='Soreli' WHERE Codigo='SON';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'SPB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('SPB','Subirat Parent,Alarije,Malvasia riojana') ELSE UPDATE Denom_origen_variedad SET Descripcion='Subirat Parent,Alarije,Malvasia riojana' WHERE Codigo='SPB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'SUB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('SUB','Sumoll blanc,Exquitsagos,Merseguera') ELSE UPDATE Denom_origen_variedad SET Descripcion='Sumoll blanc,Exquitsagos,Merseguera' WHERE Codigo='SUB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'SUN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('SUN','Sumoll Negre') ELSE UPDATE Denom_origen_variedad SET Descripcion='Sumoll Negre' WHERE Codigo='SUN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'SUT') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('SUT','Sultanina') ELSE UPDATE Denom_origen_variedad SET Descripcion='Sultanina' WHERE Codigo='SUT';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'SYN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('SYN','Syrah') ELSE UPDATE Denom_origen_variedad SET Descripcion='Syrah' WHERE Codigo='SYN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'TAN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('TAN','Tannat') ELSE UPDATE Denom_origen_variedad SET Descripcion='Tannat' WHERE Codigo='TAN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'TBN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('TBN','Trobat') ELSE UPDATE Denom_origen_variedad SET Descripcion='Trobat' WHERE Codigo='TBN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'TON') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('TON','Touriga') ELSE UPDATE Denom_origen_variedad SET Descripcion='Touriga' WHERE Codigo='TON';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'TRN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('TRN','Trepat') ELSE UPDATE Denom_origen_variedad SET Descripcion='Trepat' WHERE Codigo='TRN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'UGB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('UGB','Ugni blanc') ELSE UPDATE Denom_origen_variedad SET Descripcion='Ugni blanc' WHERE Codigo='UGB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'ULN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('ULN','Ull de llebre,Tempranillo,Cencibel,Tinto fino,Tinta de Toro,Tinta del País') ELSE UPDATE Denom_origen_variedad SET Descripcion='Ull de llebre,Tempranillo,Cencibel,Tinto fino,Tinta de Toro,Tinta del País' WHERE Codigo='ULN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'VCB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('VCB','Victoria') ELSE UPDATE Denom_origen_variedad SET Descripcion='Victoria' WHERE Codigo='VCB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'VDN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('VDN','Vidadillo') ELSE UPDATE Denom_origen_variedad SET Descripcion='Vidadillo' WHERE Codigo='VDN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'VEB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('VEB','Verdejo ') ELSE UPDATE Denom_origen_variedad SET Descripcion='Verdejo ' WHERE Codigo='VEB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'VGB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('VGB','Viognier') ELSE UPDATE Denom_origen_variedad SET Descripcion='Viognier' WHERE Codigo='VGB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'VIB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('VIB','Vinyater') ELSE UPDATE Denom_origen_variedad SET Descripcion='Vinyater' WHERE Codigo='VIB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'VRB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('VRB','Vermentino') ELSE UPDATE Denom_origen_variedad SET Descripcion='Vermentino' WHERE Codigo='VRB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'XAB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('XAB','Xarel.lo,Pansa blanca,Pansal,Cartoixà') ELSE UPDATE Denom_origen_variedad SET Descripcion='Xarel.lo,Pansa blanca,Pansal,Cartoixà' WHERE Codigo='XAB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'XVN') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('XVN','Xarel.lo rosat') ELSE UPDATE Denom_origen_variedad SET Descripcion='Xarel.lo rosat' WHERE Codigo='XVN';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'ZAB') INSERT INTO dbo.Denom_origen_variedad(Codigo,Descripcion) VALUES('ZAB','Zalema') ELSE UPDATE Denom_origen_variedad SET Descripcion='Zalema' WHERE Codigo='ZAB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'EXB') INSERT INTO dbo.Denom_origen_variedad(Codigo, Descripcion) VALUES('EXB', '***Exquitsagos,Merseguera') ELSE UPDATE Denom_origen_variedad SET Descripcion='***Exquitsagos,Merseguera' WHERE Codigo='EXB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'MOB') INSERT INTO dbo.Denom_origen_variedad(Codigo, Descripcion) VALUES('MOB', '***Moscatell de Màlaga') ELSE UPDATE Denom_origen_variedad SET Descripcion='***Moscatell de Màlaga' WHERE Codigo='MOB';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'NI') INSERT INTO dbo.Denom_origen_variedad(Codigo, Descripcion) VALUES('NI', '***Varietats no identificades') ELSE UPDATE Denom_origen_variedad SET Descripcion='***Varietats no identificades' WHERE Codigo='NI';
GO
IF NOT EXISTS (SELECT * FROM dbo.Denom_origen_variedad WHERE Codigo = 'SE') INSERT INTO dbo.Denom_origen_variedad(Codigo, Descripcion) VALUES('SE', '***Sense Empeltar') ELSE UPDATE Denom_origen_variedad SET Descripcion='***Sense Empeltar' WHERE Codigo='SE';
GO


-- TIPOS INFORME

IF NOT EXISTS (SELECT * FROM dbo.Tipo_informe where Codigo = 1)
INSERT INTO dbo.Tipo_informe values(1, 'Informe de ventas comercial')
GO
IF NOT EXISTS (SELECT * FROM dbo.Tipo_informe where Codigo = 2)
INSERT INTO dbo.Tipo_informe values(2, 'Informe de ventas comercial')
GO
IF NOT EXISTS (SELECT * FROM dbo.Tipo_informe where Codigo = 3)
INSERT INTO dbo.Tipo_informe values(3, 'Informe de ventas comercial')
GO
IF NOT EXISTS (SELECT * FROM dbo.Tipo_informe where Codigo = 4)
INSERT INTO dbo.Tipo_informe values(4, 'Informe de ventas comercial')
GO
IF NOT EXISTS (SELECT * FROM dbo.Tipo_informe where Codigo = 5)
INSERT INTO dbo.Tipo_informe values(5, 'Informe de ventas comercial')
GO
IF NOT EXISTS (SELECT * FROM dbo.Tipo_informe where Codigo = 6)
INSERT INTO dbo.Tipo_informe values(6, 'Informe de ventas comercial')
GO
IF NOT EXISTS (SELECT * FROM dbo.Tipo_informe where Codigo = 7)
INSERT INTO dbo.Tipo_informe values(7, 'Informe de ventas comercial')
GO

-- TIPOS DE ARTICULOS
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 1)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(1, 'Envase')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 2)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(2, 'Tapón')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 3)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(3, 'Cápsula')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 4)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(4, 'Etiqueta')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 5)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(5, 'Contra')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 6)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(6, 'Malla')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 7)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(7, 'Separador')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 8)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(8, 'Caja')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 9)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(9, 'Palet')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 10)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(10, 'Acabado')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 11)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(11, 'Prod_enologico')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 12)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(12, 'Materia_prima')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 13)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(13, 'Coste')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 14)
	INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(14, 'Collarin')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 15)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(15, 'Precinto')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 16)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(16, 'Sello_DO')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 17)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(17, 'Semi')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 18)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(18, 'Etiqueta_caja')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 100)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(100, 'Estuche')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 101)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(101, 'Morrions')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 102)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(102, 'Medallas')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 103)
	INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(103, 'Stickers')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 104)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(104, 'Obturadores')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 105)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(105, 'Tapones_corona')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 106)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(106, 'Rima')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 107)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(107, 'Punta')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 108)
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(108, 'Doll')
GO
IF NOT EXISTS (SELECT * FROM dbo.Articulos_tipos where Codigo = 109)	
INSERT INTO dbo.Articulos_tipos(Codigo,Descripcion) values(109, 'Cavas_vinos_se')
GO



-- TIPOS DOCUMENTACION
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1, 'Ficha Técnica descripción', 'FTD')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Ficha Técnica descripción', Desc_corta = 'FTD' WHERE Codigo = 1
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 2)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(2, 'Ficha Técnica imagen', 'FTI')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Ficha Técnica imagen', Desc_corta = 'FTI' WHERE Codigo = 2
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 3)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(3, 'General', 'GEN')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'General', Desc_corta = 'GEN' WHERE Codigo = 3
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 4)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(4, 'Clientes', 'CLI')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Clientes', Desc_corta = 'CLI' WHERE Codigo = 4
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 5)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(5, 'Artículos', 'ART')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Artículos', Desc_corta = 'ART' WHERE Codigo = 5
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 6)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(6, 'Acciones', 'INC')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Acciones', Desc_corta = 'INC' WHERE Codigo = 6
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 7)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(7, 'Presupuestos venta', 'PRV')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Presupuestos venta', Desc_corta = 'PRV' WHERE Codigo = 7
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 8)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(8, 'Expedientes', 'EXP')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Expedientes', Desc_corta = 'EXP' WHERE Codigo = 8
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 9)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(9, 'Ficha Técnica imagen NP', 'FTN')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Ficha Técnica imagen NP', Desc_corta = 'FTN' WHERE Codigo = 9
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 10)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(10, 'Calidad Analíticas', 'CAL')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Calidad Analíticas', Desc_corta = 'CAL' WHERE Codigo = 10
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 11)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(11, 'Proyectos', 'PRO')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Proyectos', Desc_corta = 'PRO' WHERE Codigo = 11
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1001)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1001, 'contratos compra', 'CC')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Contratos compra', Desc_corta = 'CC' WHERE Codigo = 1001
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1002)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1002, 'Pedidos compra', 'PC')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Pedidos compra', Desc_corta = 'PC' WHERE Codigo = 1002
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1003)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1003, 'Albaranes compra', 'AC')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Albaranes compra', Desc_corta = 'FTN' WHERE Codigo = 1003
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1004)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1004, 'Facturas compra', 'FC')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Facturas compra', Desc_corta = 'FC' WHERE Codigo = 1004
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1005)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1005, 'Componentes ficha técnica', 'FTC')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Componentes ficha técnica', Desc_corta = 'FTN' WHERE Codigo = 1005
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1006)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1006, 'Lotes', 'LOT')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Lotes', Desc_corta = 'LOT' WHERE Codigo = 1006
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1007)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1007, 'Liquidaciones', 'LIQ')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Liquidaciones', Desc_corta = 'LIQ' WHERE Codigo = 1007
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1008)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1008, 'Albaranes cosecha', 'ALC')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Albaranes cosecha', Desc_corta = 'ALC' WHERE Codigo = 1008
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1009)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1009, 'Contratos venta', 'CV')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Contratos venta', Desc_corta = 'CV' WHERE Codigo = 1009
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1010)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1010, 'Ajustes Inventario', 'AI')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Ajustes Inventario', Desc_corta = 'AI' WHERE Codigo = 1010
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1011)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1011, 'Pedidos venta', 'PV')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Pedidos venta', Desc_corta = 'PV' WHERE Codigo = 1011
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1012)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1012, 'Albaranes venta', 'AV')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Albaranes venta', Desc_corta = 'AV' WHERE Codigo = 1012
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1013)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1013, 'Facturas venta', 'FV')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Facturas venta', Desc_corta = 'FV' WHERE Codigo = 1013
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1014)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1014, 'Expedientes checklist', 'EXC')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Expedientes checklist', Desc_corta = 'EXC' WHERE Codigo = 1014
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1015)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1015, 'Ordenes de producción', 'OP')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Ordenes de producción', Desc_corta = 'OP' WHERE Codigo = 1015
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1016)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1016, 'Hoja de carga', 'HC')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Hoja de carga', Desc_corta = 'HC' WHERE Codigo = 1016
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1017)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1017, 'Facturas simplificadas', 'FS')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Facturas simplificadas', Desc_corta = 'FS' WHERE Codigo = 1017
GO
IF NOT EXISTS (SELECT * FROM dbo.Documentacion_tipos where Codigo = 1018)
INSERT INTO dbo.Documentacion_tipos (Codigo, Descripcion, Desc_corta) values(1018, 'Copages', 'CP')
ELSE
UPDATE Documentacion_tipos SET Descripcion = 'Copages', Desc_corta = 'CP' WHERE Codigo = 1018
GO

-- TIPOS MOVIMIENTO
IF NOT EXISTS (SELECT * FROM dbo.Tipos_movimientos where Codigo = 'CIAP')
INSERT INTO dbo.Tipos_movimientos (Codigo, Descripcion, Bloqueado) values('CIAP', 'Cierre Apertura', 1)
GO

-- CARGOS
IF NOT EXISTS (SELECT * FROM dbo.Cargo where Codigo = 1)
INSERT INTO dbo.Cargo (Codigo, Desc_corta, Descripcion) values(1, 'SC', 'Sin cargo')
GO

-- Tipos de contrato
IF NOT EXISTS (SELECT * FROM dbo.Tipos_contrato where Codigo = '1')
INSERT INTO dbo.Tipos_contrato (Codigo,  Descripcion) values('1', 'Indefinido')
GO
IF NOT EXISTS (SELECT * FROM dbo.Tipos_contrato where Codigo = '2')
INSERT INTO dbo.Tipos_contrato (Codigo,  Descripcion) values('2', 'Temporal')
GO
IF NOT EXISTS (SELECT * FROM dbo.Tipos_contrato where Codigo = '3')
INSERT INTO dbo.Tipos_contrato (Codigo,  Descripcion) values('3', 'Formación y aprendizaje')
GO
IF NOT EXISTS (SELECT * FROM dbo.Tipos_contrato where Codigo = '4')
INSERT INTO dbo.Tipos_contrato (Codigo,  Descripcion) values('4', 'Prácticas')
GO